<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\SubTypes\F900;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypeCAFI_0 {
    public $name = "identity_alert_consultation";

    public $templateColumns = [
        
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "code_cons",
            'position' => 5,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "type_block",
            'position' => 9,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "message",
            'position' => 10,
            'size' => 100,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filler",
            'position' => 110,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
}