<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB054 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
       
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "out_income",
            'position' => 5,
            'size' => 9,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "ferquency",
            'position' => 14,
            'size' => 12,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "source_1",
            'position' => 26,
            'size' => 15,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "source_2",
            'position' => 41,
            'size' => 15,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "family_income",
            'position' => 56,
            'size' => 9,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "source_fml",
            'position' => 65,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "source_fml2",
            'position' => 73,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "filler_1",
            'position' => 81,
            'size' => 35,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}
